ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:lave', 1),
  [
    'ABA',
    'CDC', 
    'AFA'
  ],
  {
    A: 'kubejs:rouge_sombre',
    B: 'minecraft:lava_bucket',
    C: 'mekanism:alloy_atomic',
    D: 'exdeorum:porcelain_crucible',
    F: 'ae2:controller'
  })
  event.shaped(
  Item.of('mm:lave_output', 1),
  [
    'ABA',
    'CDC', 
    'AFA'
  ],
  {
    A: 'kubejs:rouge_sombre',
    B: 'botania:pump',
    C: 'mekanism:alloy_atomic',
    D: 'sophisticatedbackpacks:advanced_pump_upgrade',
    F: 'thermal:netherite_gear'
  })
  event.shaped(
  Item.of('mm:item_lave_input', 1),
  [
    'ABA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:rouge_sombre',
    B: 'ae2:cell_component_16k',
    C: 'mekanism:alloy_atomic',
    D: 'mob_grinding_utils:absorption_hopper'
  })
   event.shaped(
  Item.of('mm:energy_lave_input', 1),
  [
    'ABA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:rouge_sombre',
    B: 'appflux:core_16k',
    C: 'mekanism:alloy_atomic',
    D: 'mekanism:basic_energy_cube'
  })
})

